# template: default
%global gem_name gitlab-sidekiq-fetcher

Name: rubygem-%{gem_name}
Version: 0.9.0
Release: 2%{?dist}
Summary: Reliable fetch extension for Sidekiq
License: LGPL-3.0
URL: https://gitlab.com/gitlab-org/sidekiq-reliable-fetch/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Redis reliable queue pattern implemented in Sidekiq.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

# 0.9.0 added a dep on >= 2.5 to get Ruby 3.0 support, which we don't need yet
%gemspec_remove_dep -g json ">= 2.5"

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.gitlab-ci.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/RELEASE-GITLAB.md
%exclude %{gem_instdir}/gitlab-sidekiq-fetcher.gemspec
%{gem_instdir}/spec
%{gem_instdir}/tests

%changelog
* Mon Nov 07 2022 Evgeni Golov - 0.9.0-2
- Remove json >= 2.5 dependency

* Fri Nov 04 2022 Foreman Packaging Automation <packaging@theforeman.org> 0.9.0-1
- Update to 0.9.0

* Tue Aug 23 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.8.0-1
- Update to 0.8.0

* Sun Jul 24 2022 Foreman Packaging Automation <packaging@theforeman.org> 0.6.1-1
- Update to 0.6.1

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.6.0-2
- Rebuild against rh-ruby27

* Thu Jul 23 2020 Adam Ruzicka <aruzicka@redhat.com> 0.6.0-1
- Update to 0.6.0

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 0.5.2-2
- Bump to release for EL8

* Tue Oct 15 2019 Adam Ruzicka <aruzicka@redhat.com> 0.5.2-1
- Add rubygem-gitlab-sidekiq-fetcher generated by gem2rpm using the scl template
